Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thing
Class RESULT

    java.lang.Object
      things.data.Entity<Metrics>
          things.thing.RESULT

All Implemented Interfaces:
  java.io.Serializable, Data

    public class RESULT

extends Entity<Metrics>

An result set. It is an entity with a metric.

Version:
  1.0

  Version History

      EPG - Initial - 26 FEB 07

Author:
  Erich P. Gatejen
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface things.data.Data
`Data.Priority, Data.Type`

Field Summary

Fields inherited from class things.data.Entity
`attributes`

Constructor Summary
`RESULT(Data.Type theType)` Constructor.
`RESULT(int numeric, Metrics theMetrics, Data.Type theType)` Constructor.
`RESULT(int numeric, Metrics theMetrics, Data.Type theType, AttributeReader additionalAttributes)` Constructor.
`RESULT(int numeric, Metrics theMetrics, Data.Type theType, java.lang.String... additionalAttributes)` Constructor.
`RESULT(int numeric, Metrics theMetrics, Data.Type theType, WhoAmI imposedId, WhoAmI creatorId)` Constructor.
`RESULT(int numeric, Metrics theMetrics, Data.Type theType, WhoAmI imposedId, WhoAmI creatorId, AttributeReader additionalAttributes)` Constructor.
`RESULT(int numeric, Metrics theMetrics, Data.Type theType, WhoAmI imposedId, WhoAmI creatorId, java.lang.String... additionalAttributes)` Constructor.
`RESULT(Metrics theMetrics, Data.Type theType)` Constructor.
`RESULT(Metrics theMetrics, Data.Type theType, AttributeReader additionalAttributes)` Constructor.
`RESULT(Metrics theMetrics, Data.Type theType, java.lang.String... additionalAttributes)` Constructor.
`RESULT(Metrics theMetrics, Data.Type theType, WhoAmI imposedId, WhoAmI creatorId)` Constructor.

Method Summary
`RESULT` | `forgeChild(int numeric, Data.Type theType)` Forge a child.
`RESULT` | `forgeChild(int numeric, Data.Type theType, java.lang.String... additionalAttributes)` Forge a child.
`static RESULT` | `forgeResult(int numeric, Data.Type theType, Metrics metrics, java.lang.Throwable t, java.lang.String... additionalAttributes)` Forge a child.
`java.util.Collection<NVImmutable>` | `getAllAttributes()` Get a NVImmutable collection for all attributes and metrics.
`java.util.Collection<NVImmutable>` | `getAllAttributes(java.lang.String... additionalAttributes)` Get a NVImmutable collection for all attributes and metrics.
`AttributeReader` | `getAllAttributesReader()` Get a reader for all attributes and metrics.
`AttributeReader` | `getAllAttributesReader(java.lang.String... additionalAttributes)` Get a reader for all attributes and metrics.

Methods inherited from class things.data.Entity
`birthMyChild, birthMyChild, getAttributes, getCreatorID, getID, getNumeric, getNumericString, getPriority, getStamp, getThing, getType, getTypedThing, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RESULT

    public RESULT(Data.Type theType)
           throws ThingsException

  Constructor. For Type.

  Parameters:
    `theType` - the Data type. It must be a result type or an exception will be thrown.
  Throws:
    `ThingsException`
  See Also:
    `Data`

### RESULT

    public RESULT(Metrics theMetrics,
                  Data.Type theType)
           throws ThingsException

  Constructor. It uses defaults for everything the metrics and the type.

  Parameters:
    `theMetrics` - metrics for this operation
    `theType` - the Data type. It must be a result type or an exception will be thrown.
  Throws:
    `ThingsException`
  See Also:
    `Data`

### RESULT

    public RESULT(Metrics theMetrics,
                  Data.Type theType,
                  WhoAmI imposedId,
                  WhoAmI creatorId)
           throws ThingsException

  Constructor. It uses defaults for everything the metrics, the type, and the Ids.

  Parameters:
    `theMetrics` - metrics for this operation
    `theType` - the Data type. It must be a result type or an exception will be thrown.
    `imposedId` - the imposed id.
    `creatorId` - the creator id.
  Throws:
    `ThingsException`
  See Also:
    `Data`

### RESULT

    public RESULT(int numeric,
                  Metrics theMetrics,
                  Data.Type theType,
                  WhoAmI imposedId,
                  WhoAmI creatorId)
           throws ThingsException

  Constructor. Evertying but new attributes..

  Parameters:
    `numeric` - the numeric code for the operation.
    `theMetrics` - metrics for this operation
    `theType` - the Data type. It must be a result type or an exception will be thrown.
    `imposedId` - the imposed id.
    `creatorId` - the creator id.
  Throws:
    `ThingsException`
  See Also:
    `Data`

### RESULT

    public RESULT(int numeric,
                  Metrics theMetrics,
                  Data.Type theType,
                  WhoAmI imposedId,
                  WhoAmI creatorId,
                  java.lang.String... additionalAttributes)
           throws ThingsException

  Constructor. Everything.

  Parameters:
    `numeric` - the numeric code for the operation.
    `theMetrics` - metrics for this operation
    `theType` - the Data type. It must be a result type or an exception will be thrown.
    `imposedId` - the imposed id.
    `creatorId` - the creator id.
    `additionalAttributes` - attributes. Usually for error or exception reporting.
  Throws:
    `ThingsException`
  See Also:
    `Data`

### RESULT

    public RESULT(int numeric,
                  Metrics theMetrics,
                  Data.Type theType,
                  WhoAmI imposedId,
                  WhoAmI creatorId,
                  AttributeReader additionalAttributes)
           throws ThingsException

  Constructor. Everything.

  Parameters:
    `numeric` - the numeric code for the operation.
    `theMetrics` - metrics for this operation
    `theType` - the Data type. It must be a result type or an exception will be thrown.
    `imposedId` - the imposed id.
    `creatorId` - the creator id.
    `additionalAttributes` - attributes. Usually for error or exception reporting.
  Throws:
    `ThingsException`
  See Also:
    `Data`

### RESULT

    public RESULT(Metrics theMetrics,
                  Data.Type theType,
                  java.lang.String... additionalAttributes)
           throws ThingsException

  Constructor. It uses defaults for everything the metrics, the type, and attributes.

  Parameters:
    `theMetrics` - metrics for this operation
    `theType` - the Data type. It must be a result type or an exception will be thrown.
    `additionalAttributes` - attributes. Usually for error or exception reporting.
  Throws:
    `ThingsException`
  See Also:
    `Data`

### RESULT

    public RESULT(Metrics theMetrics,
                  Data.Type theType,
                  AttributeReader additionalAttributes)
           throws ThingsException

  Constructor. It uses defaults for everything the metrics, the type, and attributes.

  Parameters:
    `theMetrics` - metrics for this operation
    `theType` - the Data type. It must be a result type or an exception will be thrown.
    `additionalAttributes` - attributes through a reader. Usually for error or exception reporting.
  Throws:
    `ThingsException`
  See Also:
    `Data`

### RESULT

    public RESULT(int numeric,
                  Metrics theMetrics,
                  Data.Type theType)
           throws ThingsException

  Constructor. It uses defaults for everything the metrics, the type, and numeric.

  Parameters:
    `numeric` - the numeric code for the operation.
    `theMetrics` - metrics for this operation
    `theType` - the Data type. It must be a result type or an exception will be thrown.
  Throws:
    `ThingsException`
  See Also:
    `Data`

### RESULT

    public RESULT(int numeric,
                  Metrics theMetrics,
                  Data.Type theType,
                  java.lang.String... additionalAttributes)
           throws ThingsException

  Constructor. It uses defaults for everything the metrics, the type, numeric, and attributes.

  Parameters:
    `numeric` - the numeric code for the operation.
    `theMetrics` - metrics for this operation
    `theType` - the Data type. It must be a result type or an exception will be thrown.
    `additionalAttributes` - attributes. Usually for error or exception reporting.
  Throws:
    `ThingsException`
  See Also:
    `Data`

### RESULT

    public RESULT(int numeric,
                  Metrics theMetrics,
                  Data.Type theType,
                  AttributeReader additionalAttributes)
           throws ThingsException

  Constructor. It uses defaults for everything the metrics, the type, numeric, and attributes.

  Parameters:
    `numeric` - the numeric code for the operation.
    `theMetrics` - metrics for this operation
    `theType` - the Data type. It must be a result type or an exception will be thrown.
    `additionalAttributes` - attributes through a reader. Usually for error or exception reporting.
  Throws:
    `ThingsException`
  See Also:
    `Data`

Method Detail

### getAllAttributes

    public java.util.Collection<NVImmutable> getAllAttributes()
                                                       throws ThingsException

  Get a NVImmutable collection for all attributes and metrics.

  Returns:
    all attributes
  Throws:
    `ThingsException`
  See Also:
    `NVImmutable`

### getAllAttributes

    public java.util.Collection<NVImmutable> getAllAttributes(java.lang.String... additionalAttributes)
                                                       throws ThingsException

  Get a NVImmutable collection for all attributes and metrics.

  Parameters:
    `additionalAttributes` - to add to the set before returning them.
  Returns:
    all attributes plus any just added.
  Throws:
    `ThingsException`
  See Also:
    `NVImmutable`

### getAllAttributesReader

    public AttributeReader getAllAttributesReader()
                                           throws ThingsException

  Get a reader for all attributes and metrics.

  Returns:
    the reader
  Throws:
    `ThingsException`
  See Also:
    `NVImmutable`

### getAllAttributesReader

    public AttributeReader getAllAttributesReader(java.lang.String... additionalAttributes)
                                           throws ThingsException

  Get a reader for all attributes and metrics.

  Parameters:
    `additionalAttributes` - to add to the set before returning them.
  Returns:
    the reader
  Throws:
    `ThingsException`

### forgeChild

    public RESULT forgeChild(int numeric,
                             Data.Type theType)
                      throws ThingsException

  Forge a child. It will have all the same data except the numeric and type.

  Parameters:
    `numeric` -
    `theType` -
  Returns:
    the child.
  Throws:
    `ThingsException`

### forgeChild

    public RESULT forgeChild(int numeric,
                             Data.Type theType,
                             java.lang.String... additionalAttributes)
                      throws ThingsException

  Forge a child. It will have all the same data except the numeric, type, and additional attributes..

  Parameters:
    `numeric` -
    `theType` -
    `additionalAttributes` -
  Returns:
    the child.
  Throws:
    `ThingsException`

### forgeResult

    public static RESULT forgeResult(int numeric,
                                     Data.Type theType,
                                     Metrics metrics,
                                     java.lang.Throwable t,
                                     java.lang.String... additionalAttributes)
                              throws ThingsException

  Forge a child. It will have all the same data except the numeric, type, and additional attributes..

  Parameters:
    `numeric` -
    `theType` -
    `metrics` -
    `t` - throwable. If null, it is ignored. If ThingsException, it will extract the attributes.
    `additionalAttributes` -
  Returns:
    the new result.
  Throws:
    `ThingsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.